Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## DatabaseCommunication
Class AnnouncementManager

    java.lang.Object
      DatabaseCommunication.AnnouncementManager

public class AnnouncementManager
extends java.lang.Object

Author:
  student This class manages communication of Announcement data with application database.

Constructor Summary
`AnnouncementManager()` This is the constructor for AnnouncementManager.java

Method Summary
`static long` | `addDays(java.util.Date startDate, int numberOfDays)` This method is being used to add days
`void` | `deleteUserData(AnnouncementData data)` This method is being used to delete announcement
`void` | `insertAnnouncementData(AnnouncementData data)` This method is being used to insert announcement
`AnnouncementData[]` | `selectAllAnnouncements()` This method is being used to select all the announcement in an order.
`java.lang.String` | `stripTrailing(java.lang.String value)` This method is being used for stripping trailing blanks
`void` | `updateAnnouncementData(AnnouncementData data)` This method is being used to update announcement .

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnouncementManager

    public AnnouncementManager()

  This is the constructor for AnnouncementManager.java

Method Detail

### selectAllAnnouncements

    public AnnouncementData[] selectAllAnnouncements()
                                              throws java.lang.Exception

  This method is being used to select all the announcement in an order.

  Returns:
    AnnouncementData[] array of selected announcements.
  Throws:
    `java.lang.Exception`

### stripTrailing

    public java.lang.String stripTrailing(java.lang.String value)

  This method is being used for stripping trailing blanks

  Parameters:
    `value` - String to strip blanks from
  Returns:
    String Stripped string

### insertAnnouncementData

    public void insertAnnouncementData(AnnouncementData data)
                                throws java.lang.Exception

  This method is being used to insert announcement

  Parameters:
    `data` - Announcement data to be inserted
  Throws:
    `java.lang.Exception` - void

### updateAnnouncementData

    public void updateAnnouncementData(AnnouncementData data)
                                throws java.lang.Exception

  This method is being used to update announcement .

  Parameters:
    `data` - Announcement data to be updated.
  Throws:
    `java.lang.Exception` - void

### deleteUserData

    public void deleteUserData(AnnouncementData data)
                        throws java.lang.Exception

  This method is being used to delete announcement

  Parameters:
    `data` - Announcemenet data to be deleted.
  Throws:
    `java.lang.Exception` - void

### addDays

    public static long addDays(java.util.Date startDate,
                               int numberOfDays)

  This method is being used to add days

  Parameters:
    `startDate` -
    `numberOfDays` -
  Returns:
    long

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD